
//Titel:        Laden eines Applets aus einem URL Objekt
//Version:
//Copyright:    Copyright (c) 1999
//Autor:       J.M.Joller
//Firma:
//Beschreibung:  Einsatzbeispiel fr einen ClassLoader
package Beispiel10_15;
import java.applet.*;
import java.awt.*;
import java.net.*;

public class KlasseBeispiel10_15 {
  public static void main(String args[]) {

    int x = 50;
    int y = 50;

    for (int i = 0; i < args.length; i++) {
      try {
        if (!args[i].endsWith(".class")) {
          System.err.println("Die Datei ist keine Byte Code Datei!");
          break;
        }

        URL u = new URL(args[i]);
        URLClassLoader ucl = new URLClassLoader(u);

        // parsen des Class Namens aus dem URL
        String s = u.getFile();
        String classname = s.substring(s.lastIndexOf('/'),
         s.lastIndexOf(".class"));
        System.err.println(classname);
        Class AppletClass = ucl.loadClass(classname, true);
        Applet apl = (Applet) AppletClass.newInstance();
        /** vielleicht ist das Frame auch zu klein; dann sieht man nichts!
        */
        Frame f = new Frame();
        f.resize(200, 200);
        f.move(x, y);
        x += 50;
        y += 50;
        f.add("Center", apl);
        apl.init();
        apl.start();
        f.show();
      }  // end try
      catch (MalformedURLException e) {
        System.err.println(args[i] + " kann nicht als URL interpretiert werden.");
      }
      catch (Exception e) {
        System.err.println(e);
      }
    }  // end for
  }  // end main
}