
//Titel:        protected long ifModifiedSince
//Version:      
//Copyright:    Copyright (c) 1999
//Autor:       J.M.Joller
//Firma:
//Beschreibung:  Beispiel 10_10
package Beispiel10_10;
import java.net.*;
import java.io.*;
import java.util.Date;

public class KlasseBeispiel10_10 {
  public static void main (String[] args) {
    System.out.println("Start Beispiel 10_10");
    URL u;
    URLConnection uc;
    String thisLine;
    // ein Date Objekt mit aktuellem Datum und Zeit
    Date today = new Date();

    try {
      u = new URL("http://localhost/index.html");
      uc = u.openConnection();
      System.out.println("Die Datei soll gelesen werden, falls sie seit "
        + new Date(uc.getIfModifiedSince()).toLocaleString()+" modifiziert wurde.");
      uc.setIfModifiedSince(Date.UTC(today.getYear(), today.getMonth(),
        today.getDate() - 1, today.getHours(), today.getMinutes(),
        today.getSeconds()));
      System.out.println("Die Datei soll gelesen werden, falls sie seit "
        + new Date(uc.getIfModifiedSince()).toLocaleString()+" modifiziert wurde.");
   }
    catch (Exception e) {
      System.err.println(e);
    }
    System.out.println("Ende Beispiel 10_10");
  }
}
