
//Titel:        POST von Fomulardaten an CGI Skript
//Version:
//Copyright:    Copyright (c) 1999
//Autor:       J.M.Joller
//Firma:
//Beschreibung:  Beispiel 10_16:
//URLConnect Objekt kreieren, wobei
//der URL ein CGI Skript beschreibt.
//Mit Hilfe des OutputStreams POST Methode
//simulieren / implementieren.
package Beispiel10_16;
import java.net.*;
import java.io.*;

//  KlasseBeispiel10_16 : besser wre ein Name wie POSTForm
public class KlasseBeispiel10_16 {
  URL u;

  public static void main(String args[]) {
    System.out.println("Start Beispiel 10_16");
    String s;
    try {
      s = args[0];
    }
    catch (ArrayIndexOutOfBoundsException e) {
      s = "http://hoohoo.ncsa.uiuc.edu/cgi-bin/post-query";
    }
    System.out.println("CGI Skript Adresse : "+s);
    try {
      KlasseBeispiel10_16 pf = new KlasseBeispiel10_16();
      pf.u = new URL(s);
      pf.submitData();
    }
    catch (MalformedURLException e) {
      System.err.println(args[0] + " kann nicht als URL interpretiert werden");
    }
  }
  void submitData() {
    System.out.println("Start submitData()");
    String query = "name=" + URLEncoder.encode("Josef M. Joller");
    query += "&";
    query += "email=" + URLEncoder.encode("josef.m.joller@switzerland.org");
    System.out.println("Query : "+query);
    int cl = query.length();

    try {
      URLConnection uc = u.openConnection();
      System.out.println("URLConnection : "+uc);
      uc.setDoOutput(true);
      uc.setDoInput(true);
      uc.setAllowUserInteraction(false);
      DataOutputStream dos = new DataOutputStream(uc.getOutputStream());
      // Schicke die Daten
      dos.writeBytes(query);
      dos.close();
      // Lesen der Antwort
      DataInputStream dis = new DataInputStream(uc.getInputStream());
      String nextline;
      while((nextline = dis.readLine()) != null) {
        // Ausgabe der Antwort
       System.out.println(nextline);
      }
      dis.close();
    }
    catch (Exception e) {
      System.err.println(e);
    }
  }
}